<?php
/**************************************************
  Coppermine 1.5.x Plugin - short_comments
  *************************************************
  Copyright (c) 2011 Pierre BASMOREAU
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  ********************************************
  $HeadURL: 
  $Revision: 
  $LastChangedBy: 
  $Date: 2011/08/29
  **************************************************/

require_once('include/init.inc.php');
require('./plugins/short_comments/include/init.inc.php');

$short_comments_superCage = Inspekt::makeSuperCage();

global $CONFIG, $lang_plugin_short_comments;

// Not Admin Mode = access denied
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if($lang_text_dir=='ltr') {
  $align="left";
  $direction="ltr";
}else {
  $align="right";
  $direction="rtl";
}

//Page Header
pageheader($lang_plugin_short_comments['display_name']);

//Update ?
if ($short_comments_superCage->post->keyExists('submit')) {

	//Nwords
	if ($short_comments_superCage->post->keyExists('maxwords') == TRUE  && $short_comments_superCage->post->getInt('maxwords') != $CONFIG['plugin_short_comments_maxwords']) {
		$a = $short_comments_superCage->post->getInt('maxwords');
		if ($a > 0) {
			$CONFIG['plugin_short_comments_maxwords'] = $short_comments_superCage->post->getInt('maxwords');
			$query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['plugin_short_comments_maxwords']}' WHERE name='plugin_short_comments_maxwords'";
			cpg_db_query($query);
			msg_box($lang_plugin_short_comments['display_name'], $lang_plugin_short_comments['update_success']);
		}
		else {
			msg_box($lang_plugin_short_comments['display_name'], $lang_plugin_short_comments['update_fault'], $lang_common['continue'], '', 'error');
		}
	}
}//End of Update

//Display configuration
starttable('100%', $lang_plugin_short_comments['main_title'].' - Version '.$lang_plugin_short_comments['version']);
echo <<<EOT

<tr>
	<td>
	<form action="{$_SERVER['PHP_SELF']}" method="post" name="short_comments_settings">
	<table class="maintable" cellspacing="1" cellpadding="0" width="100%" align="{$align}" id="section1" class="maintable cpg_zebra">
		<tr>
			<td width="50%">&nbsp;</td>
			<td width="50%">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_short_comments['maxwords']}</td>
			<td align="left" class="tableb tableb_alternate">
				<input name="maxwords" id="maxwords" type="text" size="2" value="{$CONFIG['plugin_short_comments_maxwords']}">
			</td>
		</tr>

		<tr>
			<td colspan="2" align="center" class="tablef"><input name="submit" class="button" type="submit" value="{$lang_plugin_short_comments['submit_button']}"></td>
		</tr>
		
	</table>
	</form>
	</td>
</tr>

EOT;

endtable();
pagefooter();
ob_end_flush();
?>